FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202102031949.p0 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202102031949.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=3e6b7b0 OS_GIT_VERSION=4.6.0-202102031949.p0-3e6b7b0 SOURCE_DATE_EPOCH=1611838231 SOURCE_GIT_COMMIT=3e6b7b0630817ec547427841beeb6b4c269651bb SOURCE_GIT_TAG=v0.0.0-alpha.0-855-g3e6b7b06 SOURCE_GIT_URL=https://github.com/openshift/cluster-kube-controller-manager-operator 
WORKDIR /go/src/github.com/openshift/cluster-kube-controller-manager-operator
COPY . .
RUN make build --warn-undefined-variables

FROM openshift/ose-base:v4.6.0.20210203.201804
ENV __doozer=update BUILD_RELEASE=202102031949.p0 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202102031949.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=3e6b7b0 OS_GIT_VERSION=4.6.0-202102031949.p0-3e6b7b0 SOURCE_DATE_EPOCH=1611838231 SOURCE_GIT_COMMIT=3e6b7b0630817ec547427841beeb6b4c269651bb SOURCE_GIT_TAG=v0.0.0-alpha.0-855-g3e6b7b06 SOURCE_GIT_URL=https://github.com/openshift/cluster-kube-controller-manager-operator 
RUN mkdir -p /usr/share/bootkube/manifests/bootstrap-manifests/ /usr/share/bootkube/manifests/config/ /usr/share/bootkube/manifests/manifests/
COPY --from=builder /go/src/github.com/openshift/cluster-kube-controller-manager-operator/bindata/bootkube/bootstrap-manifests /usr/share/bootkube/manifests/bootstrap-manifests/
COPY --from=builder /go/src/github.com/openshift/cluster-kube-controller-manager-operator/bindata/bootkube/config /usr/share/bootkube/manifests/config/
COPY --from=builder /go/src/github.com/openshift/cluster-kube-controller-manager-operator/bindata/bootkube/manifests /usr/share/bootkube/manifests/manifests/
COPY --from=builder /go/src/github.com/openshift/cluster-kube-controller-manager-operator/cluster-kube-controller-manager-operator /usr/bin/
COPY manifests /manifests
COPY vendor/github.com/openshift/api/operator/v1/0000_25_kube-controller-manager-operator_01_config.crd.yaml /manifests

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-cluster-kube-controller-manager-operator" \
        com.redhat.component="ose-cluster-kube-controller-manager-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="kube-controller-manager" \
        release="202102031949.p0" \
        io.openshift.build.commit.id="3e6b7b0630817ec547427841beeb6b4c269651bb" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-kube-controller-manager-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-kube-controller-manager-operator/commit/3e6b7b0630817ec547427841beeb6b4c269651bb" \
        version="v4.6.0"

